Loading...
Searching...
No Matches
tiny_lu.h File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Functions

template<class T >
void | lu (tiny_matrix< T > &a, tiny_vector< size_t > &piv)
template<class T >
void | solve (tiny_matrix< T > &a, tiny_vector< size_t > &piv, const tiny_vector< T > &b, tiny_vector< T > &x)
template<class T >
void | invert (tiny_matrix< T > &a, tiny_matrix< T > &inv_a)
template<class T >
void | put (std::ostream &out, std::string name, const tiny_matrix< T > &a)